# coding: utf-8

require 'fileutils'

require 'spec_helper'

require 'chef/knife/hitori_base'


describe 'hitori_base' do
  before do
    @obj = Object.new
    @obj.extend Chef::Knife::HitoriBase
  end

  describe :update_environment do
    before(:each) do
      Chef::Config[:data_bag_path_tpl] = 'databag/%s'
      Chef::Config[:settings_path_tpl] = 'settings/%s'
      Chef::Config[:encrypted_data_bag_secret_tpl] = 'enc/%s'
      @obj.update_environment('my_env')
    end

    subject {Chef::Config}
    its(:data_bag_path) {should == 'databag/my_env'}
    its(:settings_path) {should == 'settings/my_env'}
    its(:encrypted_data_bag_secret) {should == 'enc/my_env'}
  end
end
