require 'spec_helper'

require 'chef/knife/hitori_data_bag_dec'

describe 'HitoriDataBagDec' do
  before do
    Chef::Knife::HitoriDataBagDec.load_deps
    @obj = Chef::Knife::HitoriDataBagDec.new
    @obj.name_args = %w(MY_BAG MY_ITEM)
    Chef::Config[:encrypted_data_bag_secret] = '/tmp/enc.key'
  end

  describe :run do
    it 'should call update_environment' do
      @obj.config[:environment] = 'apple'
      @obj.should_receive(:update_environment).with('apple')
      common_run
    end

    it 'should not call update_environment' do
      @obj.config[:environment] = nil
      @obj.should_not_receive(:update_environment)
      common_run
    end

    def common_run
      @obj.should_receive(:decrypt_data_bag)
      @obj.run
    end
  end
end
