# coding: utf-8

require 'fileutils'

require 'spec_helper'

require 'chef/knife/hitori_prepare'


describe 'hitori_prepare' do
  before do
    Chef::Knife::HitoriPrepare.load_deps
    @obj = Chef::Knife::HitoriPrepare.new
    @obj.ui.stub(:info, :msg)
  end

  describe :run do
    before do
      @conf = {
          security_groups: 'sec_group',
          availability_zone: 'avzone',
          image: 'img',
          flavor: 'flavor',
          ssh_user: 'ssh_user',
          ssh_port: 22,
          identity_file: 'id_file',
          aws_ssh_key_id: 'ssh_key_id',
          region: 'my_region',
          template_file: 'my_template',
      }
      @obj.should_receive(:ask_ec2_config_all).and_return(@conf)
    end

    it 'should call ec2.run' do
      Chef::Knife::Ec2ServerCreate.any_instance.should_receive(:run)
      @obj.run
    end

    it 'should return ec2.server' do
      Chef::Knife::Ec2ServerCreate.any_instance.should_receive(:server).and_return(10)
      Chef::Knife::Ec2ServerCreate.any_instance.stub(:run)
      @obj.run.should == 10
    end
  end
end
